Fix typos in comments 35/head
authorOlle Jonsson <olle.jonsson@gmail.com>
Sun, 18 Nov 2018 10:32:08 +0000 (11:32 +0100)
committerOlle Jonsson <olle.jonsson@gmail.com>
Sun, 18 Nov 2018 10:32:08 +0000 (11:32 +0100)
lib/buildr/core/project.rb
lib/buildr/packaging/artifact_namespace.rb
spec/core/compile_spec.rb

index 5a214f0..a75c367 100644 (file)
@@ -127,7 +127,7 @@ module Buildr #:nodoc:
   #   buildr compile
   # from the command line, it will execute the compile task of the current project.
   #
-  # Projects and sub-projects follow a directory heirarchy. The Buildfile is assumed to
+  # Projects and sub-projects follow a directory hierarchy. The Buildfile is assumed to
   # reside in the same directory as the top-level project, and each sub-project is
   # contained in a sub-directory in the same name. For example:
   #   /home/foo
@@ -223,7 +223,7 @@ module Buildr #:nodoc:
           end
 
           # Top-level project? Invoke the project definition. Sub-project? We don't invoke
-          # the project definiton yet (allow project calls to establish order of evaluation),
+          # the project definition yet (allow project calls to establish order of evaluation),
           # but must do so before the parent project's definition is done.
           project.parent.enhance { project.invoke } if project.parent
         end
index 4c6001f..b977fa5 100644 (file)
@@ -130,7 +130,7 @@ module Buildr #:nodoc:
   # Sometimes users would need to change the default artifact versions used by some
   # module, for example, the XMLBeans compiler needs this, because of compatibility
   # issues. Another example would be to select the groovy version to use on all our
-  # projects so that Buildr modules requiring groovy jars can use user prefered versions.
+  # projects so that Buildr modules requiring groovy jars can use user preferred versions.
   #
   # To meet this goal, an ArtifactNamespace allows to specify ArtifactRequirement objects.
   # In fact the only difference with the examples you have already seen is that requirements
@@ -194,7 +194,7 @@ module Buildr #:nodoc:
   #
   # A more advanced example using ArtifactRequirement listeners is included
   # in the artifact_namespace_spec.rb description for 'Extension using ArtifactNamespace'
-  # That's it for addon writers, now, users can select their prefered version with
+  # That's it for addon writers, now, users can select their preferred version with
   # something like:
   #
   #    require 'buildr/xmlbeans'
@@ -413,7 +413,7 @@ module Buildr #:nodoc:
       # The last part consist of a VersionRequirement.
       #                                     ->  ( >2 & <4)
       #
-      # VersionRequirement supports RubyGem's comparision operators
+      # VersionRequirement supports RubyGem's comparison operators
       # in adition to parens, logical and, logical or and negation.
       # See the docs for VersionRequirement for more info on operators.
       def initialize(spec)
index 69e5037..f70c585 100644 (file)
@@ -141,7 +141,7 @@ describe Buildr::CompileTask, '#compiler' do
     end
   end
 
-  it 'should allow supressing compilation' do
+  it 'should allow suppressing compilation' do
     write 'src/main/java/package/Test.java', 'class Test {}'
     define 'foo' do
       compile.sources.clear